## php7.4 7.4.3

=== debian/changelog ===
php7.4 (7.4.3-4ubuntu1) focal; urgency=medium

  * d/control, d/control.in: Conflict with mod-php from php7.2 and
    php7.3 to ensure safe upgrade path for apache2.
    (Fixes LP: #1850933)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 26 Mar 2020 20:24:23 +0000

php7.4 (7.4.3-4build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:56 +0100

php7.4 (7.4.3-4build1) focal; urgency=medium

  * No-change rebuild to enable build for i386

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Feb 2020 14:37:54 -0800

php7.4 (7.4.3-4) unstable; urgency=medium

  * Remove /etc/init/php@PHP_VERSION@-fpm.conf, not
    /etc/init/php@PHP_VERSION@.conf (Closes: #951745)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 08:07:28 +0100

php7.4 (7.4.3-3) unstable; urgency=medium

  * Fixup upstart removal (missing prepare-files update) (Closes: #951745)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 18:01:35 +0100

php7.4 (7.4.3-2) unstable; urgency=medium

  * Remove the PIDFile= setting from systemd unit file (it should not be
    needed with Type=notify)
  * Use php-fpm-socket-helper from php-common >= 1:73 to update the
    default socket

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 09:59:48 +0100

php7.4 (7.4.3-1) unstable; urgency=medium

  * Remove upstart support, use systemd-tmpfiles to create tmpfiles
    (Closes: #923032)
  * New upstream version 7.4.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Feb 2020 13:12:06 +0100

php7.4 (7.4.2-7) unstable; urgency=medium

  * Add a note about PIDFile= and pid= match in php-fpm.conf
  * Silently ignore errors from update-alternatives in php-fpm.service

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Feb 2020 13:04:50 +0100

php7.4 (7.4.2-6) unstable; urgency=medium

  * Use absolute path to update-alternatives

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Feb 2020 17:47:54 +0100

php7.4 (7.4.2-5) unstable; urgency=medium

  * Move the update-alternatives call from postinst/prerm to systemd startup script

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 18:44:05 +0100

php7.4 (7.4.2-4) unstable; urgency=medium

  * Make the creation of the default socket work on new installs

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 14:11:48 +0100

php7.4 (7.4.2-3) unstable; urgency=medium

  * Use a mock socket file for setting up FPM socket alternatives

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 13:09:39 +0100

php7.4 (7.4.2-2) unstable; urgency=medium

  * Create a generic /run/php/php-fpm.sock socket using update-alternatives

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Feb 2020 10:17:27 +0100

php7.4 (7.4.2-1) unstable; urgency=medium

  * New upstream version 7.4.2
  * Disable dh_autoreconf for PHP, it breaks the build

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Jan 2020 12:20:45 +0100

php7.4 (7.4.1-1) unstable; urgency=medium

  * Update d/watch for final release
  * New upstream version 7.4.1
  * Bump the debhelper compat to 10
  * Bump the Standards Version (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jan 2020 09:23:37 +0100

php7.4 (7.4.0-1) unstable; urgency=medium

  * New upstream version 7.4.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Nov 2019 08:25:29 +0100

php7.4 (7.4.0~rc6-1) experimental; urgency=medium

  * Fix the FTBFS with MySQL 8.0
  * New upstream version 7.4.0~rc6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Nov 2019 18:49:28 +0100

php7.4 (7.4.0~rc4-1) experimental; urgency=medium

  * Bump d/phpapi to 20190902
  * New upstream version 7.4.0~rc4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 26 Oct 2019 11:10:04 +0200

php7.4 (7.4.0~rc3-1) experimental; urgency=medium

  * New upstream version 7.4.0~rc3
  * GMP now uses autodetection (don't pass /usr to configure)
  * Bump d/phpapi to 20190902

 -- Ondřej Surý <ondrej@sury.org>  Tue, 08 Oct 2019 08:08:28 +0200

php7.4 (7.4.0~beta4-2) experimental; urgency=medium

  * Enable FFI experimental extension
  * Add libffi to B-D

 -- Ondřej Surý <ondrej@sury.org>  Wed, 28 Aug 2019 10:50:48 +0200

php7.4 (7.4.0~beta4-1) experimental; urgency=medium

  * Remove 0003-libtool2.2.patch, it's no longer needed [GL #1236]
  * New upstream version 7.4.0~beta4

 -- Ondřej Surý <ondrej@sury.org>  Tue, 27 Aug 2019 15:22:26 +0200

php7.4 (7.4.0~beta2-1) experimental; urgency=medium

  * New upstream version 7.4.0~beta2
  * Rebase patches for PHP 7.4.0~beta2

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 Aug 2019 13:41:59 +0200

php7.4 (7.4.0~beta1-1) experimental; urgency=medium

  * New upstream version 7.4.0~beta1
  * Rebase patches for PHP 7.4.0~beta1
  * Configure option --with-libxml-dir is now named --with-libxml
  * The recode extension has been moved to PECL.
  * The interbase extension has been moved to PECL.
  * The configure option for zip extension has changed from --enable-zip to --with-zlib
  * The WDDX extension has been deprecated and moved to PECL.
  * The configure options to enable GD extension has changed to --enable-gd and --with-external-gd
  * Regenerated d/control
  * Update the configure options according to UPGRADING file (mostly pkg-config related changes)
  * Cleanup the missing documentation
  * Update phpapi to 20190529

 -- Ondřej Surý <ondrej@sury.org>  Wed, 07 Aug 2019 17:47:41 +0200

php7.4 (7.4.0~alpha2-1) experimental; urgency=low

  * New upstream version 7.4.0~alpha2

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 09:36:25 +0200

php7.3 (7.3.7-1) unstable; urgency=medium

  * New upstream version 7.3.7

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 08:52:54 +0200

php7.3 (7.3.6-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 7.3.6

  [ Andreas Beckmann ]
  * php7.3-curl: Add Breaks against php7.0-curl for smoother upgrades from stretch.  (Closes: #929689)

 -- Ondřej Surý <ondrej@sury.org>  Fri, 31 May 2019 13:36:51 +0200

php7.3 (7.3.5-1) unstable; urgency=medium


