=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.php.net/downloads.php /distributions/php-(7\.4\..*)\.tar\.xz debian
