## php7.4 7.4.7

=== debian/changelog ===
php7.4 (7.4.7-1+0~20200612.18+debian8~1.gbp671911) unstable; urgency=medium

  ** SNAPSHOT build @67191179bafc897070d06cbad3ada61bf2d005b6 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Fri, 12 Jun 2020 09:49:06 +0200

php7.4 (7.4.7-1) unstable; urgency=medium

  * New upstream version 7.4.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Jun 2020 09:42:27 +0200

php7.4 (7.4.6-1) unstable; urgency=medium

  * Properly detect CRC32 APIs on aarch64 from configure
  * New upstream version 7.4.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 May 2020 11:59:59 +0200

php7.4 (7.4.5-1) unstable; urgency=medium

  * New upstream version 7.4.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Apr 2020 09:35:13 +0200

php7.4 (7.4.4-1) unstable; urgency=medium

  * Add (non-existent yet) systemd-tmpfiles package as alternative to systemd
  * php-fpm has to depend on procps due kill usage in systemd service file
    (Closes: #861855)
  * New upstream version 7.4.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Mar 2020 14:45:16 +0100
