=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php7.4
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -96,8 +95,6 @@
          ${shlibs:Depends}
 Provides: libapache2-mod-php,
           ${php:Provides}
-Conflicts: libapache2-mod-php7.3,
-	   libapache2-mod-php7.2
 Recommends: apache2
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
@@ -240,7 +237,8 @@
          php7.4-common (= ${binary:Version}),
          php7.4-json,
          php7.4-opcache,
-         systemd,
+         procps,
+         systemd | systemd-tmpfiles,
          tzdata,
          ucf,
          ${misc:Depends},
@@ -355,3 +353,5 @@
 Breaks: ${php-common:Breaks}
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
