=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php7.4
 Section: php
 Priority: optional
-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -9,11 +10,10 @@
                automake,
                bison,
                chrpath,
-               debhelper (>= 9.20150101),
+               debhelper (>= 9.20160709~),
                default-libmysqlclient-dev | libmysqlclient-dev,
                default-mysql-server <!nocheck> | mysql-server <!nocheck> | virtual-mysql-server <!nocheck>,
                dh-apache2,
-               dh-systemd (>= 1.3) [linux-any],
                dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
@@ -95,6 +95,8 @@
          ${shlibs:Depends}
 Provides: libapache2-mod-php,
           ${php:Provides}
+Conflicts: libapache2-mod-php7.3,
+	   libapache2-mod-php7.2
 Recommends: apache2
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
@@ -353,5 +355,3 @@
 Breaks: ${php-common:Breaks}
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
-Recommends: ${php-common:Recommends}
-Description: documentation, examples and common module for PHP
