## php7.4 7.4.15

=== debian/changelog ===
php7.4 (7.4.15-5+deb11u1) unstable; urgency=medium

  * Add debian/bullseye/7.4 branch
  * Temporarily lift the requirement for systemd-tmpfile for Debian buster
    (Closes: #959174)
   + This will get reverted in unstable when the new release cycle is out

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 10:45:56 +0100

php7.4 (7.4.15-5) unstable; urgency=medium

  * Revert "Don't pass URLs for missing files to PHP-FPM"

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Feb 2021 16:33:27 +0100

php7.4 (7.4.15-4) unstable; urgency=medium

  [ Svante Signell ]
  * Add --without build-stamp to dh invocation
  * Add patch to disable HR Timers on GNU Hurd (Closes: 951834)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 19:40:53 +0100

php7.4 (7.4.15-3) unstable; urgency=medium

  * Check if the logrotate script exists (GH #1534)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 15:02:11 +0100

php7.4 (7.4.15-2) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Update obsolete/non-free FPM configuration procedure (Closes: #974034)

  [ Ondřej Surý ]
  * Enable FPM ACL support (Closes: #982574)

  [ Kevin Locke ]
  * Don't pass URLs for missing files to PHP-FPM (Closes: #954850)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 Feb 2021 20:05:33 +0100

php7.4 (7.4.15-1) unstable; urgency=medium

  * New upstream version 7.4.15
  * Force hardcoded path to be /bin/sed (Closes: #960786)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 07 Feb 2021 12:36:49 +0100

php7.4 (7.4.14-1) unstable; urgency=medium

  * New upstream version 7.4.14

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jan 2021 11:26:28 +0100

php7.4 (7.4.13-1) unstable; urgency=medium

  * New upstream version 7.4.13

 -- Ondřej Surý <ondrej@debian.org>  Sat, 28 Nov 2020 07:20:33 +0100

php7.4 (7.4.12-3) unstable; urgency=medium

  * Copy the files from auxdir in a separate variable to sync with PHP 7.3
    and lower

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Oct 2020 18:03:15 +0100

php7.4 (7.4.12-2) unstable; urgency=medium

  * Move the non-m4 files from LIBTOOL_FILES to FILES_BUILD

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Oct 2020 11:03:35 +0100

php7.4 (7.4.12-1) unstable; urgency=medium

  * New upstream version 7.4.12
  * Move the system wide phpize files to LIBTOOL_FILES

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Oct 2020 20:45:32 +0100

php7.4 (7.4.11-6) unstable; urgency=medium

  * Fix typo in phpize script

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Oct 2020 21:38:34 +0200

php7.4 (7.4.11-5) unstable; urgency=medium

  * In phpize, copy the foreign files from their respective packages
    (libtool, pkg-config, shtool)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Oct 2020 20:44:09 +0200

php7.4 (7.4.11-4) unstable; urgency=medium

  * Include all libtool files from phpize.m4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Oct 2020 13:32:38 +0200

php7.4 (7.4.11-3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use netcat-openbsd to build instead of netcat-traditional (Closes: #963261)

  [ Pino Toscano ]
  * Disable AppArmor support on non-Linux archs (Closes: #951857)
  * Enable systemd integration only on Linux archs (Closes: #951834)

  [ Ondřej Surý ]
  * Use system-wide pkg.m4 from pkg-config package in phpize
  * Restore the patch to use system-wide libtool and pkg-config m4 files

 -- Ondřej Surý <ondrej@debian.org>  Sat, 17 Oct 2020 08:15:26 +0200

php7.4 (7.4.11-2) unstable; urgency=medium

  * Disable the MySQL extension testing as it's too complicated

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 21:44:18 +0200

php7.4 (7.4.11-1) unstable; urgency=medium

  * New upstream version 7.4.11

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Oct 2020 12:34:39 +0200

php7.4 (7.4.10-1) unstable; urgency=medium

  * New upstream version 7.4.10
  * Lower the minimal debhelper dependency to >= 9.20150101~
  * Use libenchant-dev as Build-Depends alternative to libenchant-2-dev
  * Remove deprecated calls from enchant-2 (Closes: #954855)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Sep 2020 12:22:27 +0200

php7.4 (7.4.9-2) unstable; urgency=medium

  * Pull upstream patch for enchant-2 and change build-dep (Closes: #954855)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Aug 2020 15:37:23 +0200
