## php7.4 7.4.16

=== debian/changelog ===
php7.4 (7.4.16-1ubuntu2.3) hirsute; urgency=medium

  * d/p/0047-fix-exception-infinite-loop.patch: Fix ErrorException infinite
    loop (LP: #1951031)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 25 Nov 2021 18:36:47 -0300

php7.4 (7.4.16-1ubuntu2.2) hirsute-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read/write
    - debian/patches/CVE-2021-21703.patch: The main change is to
      store scoreboard procs directly to the variable sized
      array rather than indirectly through the pointer in
      sapi/fpm/fpm/fpm_children.c, sapi/fpm/fpm/fpm_request.c,
      sapi/fpm/fpm/fpm_scoreboard.c, sapi/fpm/fpm/fpm_scoreboard.h,
      sapi/fpm/fpm/fpm_status.c, sapi/fpm/fpm/fpm_worker_pool.c.
    - CVE-2021-21703

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Oct 2021 13:46:20 -0300

php7.4 (7.4.16-1ubuntu2.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: multiple issues in the pdo_firebase module
    - debian/patches/CVE-2021-21704-1.patch: prevent overflow in
      ext/pdo_firebird/firebird_statement.c.
    - debian/patches/CVE-2021-21704-2.patch: verify result_size in
      ext/pdo_firebird/firebird_statement.c.
    - debian/patches/CVE-2021-21704-3.patch: verify result_size in
      ext/pdo_firebird/firebird_driver.c.
    - debian/patches/CVE-2021-21704-4.patch: don't overflow stack in
      ext/pdo_firebird/firebird_driver.c.
    - CVE-2021-21704
  * SECURITY UPDATE: SSRF bypass
    - debian/patches/CVE-2021-21705.patch: check password in
      ext/filter/logical_filters.c, ext/filter/tests/bug81122.phpt.
    - debian/patches/CVE-2021-21705-2.patch: fix compiler warning in
      ext/filter/logical_filters.c.
    - CVE-2021-21705

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jul 2021 09:04:38 -0400

php7.4 (7.4.16-1ubuntu2) hirsute; urgency=medium

  * Disable lto builds. Same as in Fedora. OpenSuse had some success.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 17:15:03 +0100

php7.4 (7.4.16-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control, d/control.in: Conflict with mod-php from php7.2 and
      php7.3 to ensure safe upgrade path for apache2.
      (LP 1850933)
    - libapache2-mod-php.postinst.extra: Disable other mod-php versions.
      Fixes failure when upgrading from previous versions of mod-php.
      (LP 1865218)

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 14:11:15 +0100

php7.4 (7.4.16-1) unstable; urgency=medium

  * New upstream version 7.4.16

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Mar 2021 08:50:51 +0100

php7.4 (7.4.15-7) unstable; urgency=medium

  * Bump php-common depends to 1:81~

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2021 15:58:09 +0100

php7.4 (7.4.15-6) unstable; urgency=medium

  * Add example configuration to not pass URLs for missing files to
    PHP-FPM

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 17:48:13 +0100

php7.4 (7.4.11-1ubuntu4) hirsute; urgency=medium

  * Rebuild with the new libzip soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Mar 2021 16:20:59 +0100

php7.4 (7.4.11-1ubuntu3) hirsute; urgency=medium

  * No-change upload to build against net-snmp on armhf.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 20:07:29 -0500

php7.4 (7.4.11-1ubuntu2) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 15:07:46 -0500

php7.4 (7.4.11-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/control.in: Conflict with mod-php from php7.2 and
      php7.3 to ensure safe upgrade path for apache2.
      (LP 1850933)
    - libapache2-mod-php.postinst.extra: Disable other mod-php versions.
      Fixes failure when upgrading from previous versions of mod-php.
      (LP 1865218)

  * Dropped changes, applied upstream:
    * SECURITY UPDATE: Incorrect encryption data
      - debian/patches/CVE-2020-7069.patch: fix wrong ciphertext/tag
        in AES-CCM encryption for a 12 bytes IV in ext/openssl/openssl.c,
        ext/openssl/tests/cipher_tests.inc, ext/openssl/openssl_*_ccm.phpt.
      - CVE-2020-7069
    * SECURITY UPDATE: Possibly forge cookie
      - debian/patches/CVE-2020-7070.patch: do not decode cookie names anymore
        in main/php_variables.c, tests/basic/022.phpt, tests/basic/023.phpt,
        tests/basic/bug79699.phpt.
      - CVE-2020-7070

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Nov 2020 10:33:36 +0000

php7.4 (7.4.9-1ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Incorrect encryption data
    - debian/patches/CVE-2020-7069.patch: fix wrong ciphertext/tag
      in AES-CCM encryption for a 12 bytes IV in ext/openssl/openssl.c,
      ext/openssl/tests/cipher_tests.inc, ext/openssl/openssl_*_ccm.phpt.
    - CVE-2020-7069
  * SECURITY UPDATE: Possibly forge cookie
    - debian/patches/CVE-2020-7070.patch: do not decode cookie names anymore
      in main/php_variables.c, tests/basic/022.phpt, tests/basic/023.phpt,
      tests/basic/bug79699.phpt.
    - CVE-2020-7070

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 26 Oct 2020 12:17:14 -0300
