=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Hardcode correct absolute path to sed
+export ac_cv_path_SED = $(shell command -v sed)
 
 SANE_ARCHS := amd64 i386 arm64
 
@@ -19,7 +22,7 @@
 SHELL := /bin/sh -e
 
 # enable dpkg build flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
@@ -113,19 +116,14 @@
   CONFIGURE_PCRE_JIT := --without-pcre-jit
 endif
 
-ifeq (yes,$(RUN_TESTS))
-  MYSQL_PORT := $(shell for i in $$(seq 1025 3600 | sort -R); do nc -z localhost $$i || { echo $$i; exit; } ; done)
-  MYSQL_DATA_DIR := $(shell readlink -f mysql_db)
-  ifeq (,$(MYSQL_PORT))
-      $(error Could not find available port for mysql server)
-  endif
-  MYSQL_SOCKET := $(MYSQL_DATA_DIR)/mysql.sock
-endif
-
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 ia64 powerpc))
   CONFIGURE_DTRACE_ARGS := --enable-dtrace
 else
   CONFIGURE_DTRACE_ARGS := --disable-dtrace
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  CONFIGURE_SYSTEMD := --with-fpm-systemd
 endif
 
 # specify some options to our patch system
@@ -233,3 +231,6 @@
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
 		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
 		--with-fpm-user=www-data --with-fpm-group=www-data \
+		--with-fpm-acl \
+		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
+		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \
